#!/bin/csh -f
set user = dewitt

#NOTE: NEED TO BUILD THE DATABASE FOR EVERY COMPLETE BENCHMARK BECAUSE 
#THE NO INDEX CASES MUST BE RUN 

wisc_dbgen -u $user

# run the non-indexed cases
echo 'running non-indexed queries...'
wisc_query01 -u $user
wisc_query02 -u $user
wisc_query09 -u $user
wisc_query10 -u $user
wisc_query11 -u $user
wisc_query19 -u $user
wisc_query20 -u $user
wisc_query21 -u $user
wisc_query22 -u $user
wisc_query26 -u $user
wisc_query27 -u $user
wisc_query28 -u $user

# run the indexed cases
echo 'indexing the database...'
date
wisc_index -u $user
echo 'Finished indexing the database'
date
date
echo 'running indexed queries...'
wisc_query01 -i -u $user
wisc_query02 -i -u $user
wisc_query05 -u $user
wisc_query06 -u $user
wisc_query07 -u $user
# NOTE, May want to redirect output for query 8 as done below
wisc_query08 -u $user >! query8_temp_out
wisc_query09 -i 
wisc_query10 -i 
wisc_query11 -i 
wisc_query15 -u $user
wisc_query16 -u $user
wisc_query17 -u $user
wisc_query18 -u $user
wisc_query20 -i -u $user
wisc_query21 -i -u $user
wisc_query22 -i -u $user
wisc_query26 -i -u $user
wisc_query27 -i -u $user
wisc_query28 -i -u $user
wisc_query32  -u $user
