#define TRUE	1
#define FALSE 	0
#define VERBOSE 0

/* name of database */
#define DATABASE "wiscbench"

/* names and sizes of two base relations */
#define BASERELATION1 "TENKTUP1"
#define BASERELATION2 "TENKTUP2"
#define BASERELSIZE 10000

/* names and size of two prime relations.  should */
/* be 10% of size of base relations */

#define PRIME1 "APRIME"
#define PRIME2 "BPRIME"
#define PRIMESIZE 1000

/* number of times to execute each type of query */
#define SELREPEATCNT 10
#define PROJREPEATCNT 4
#define AGGREPEATCNT 4
#define JOINREPEATCNT 2

/* Forward declarations of the sybase error and message handlers. */
extern int              err_handler();
extern int              msg_handler();

extern DBPROCESS*  open_db();

/* random number generator */
long		random();  

/* structure for holding result values */
typedef struct {
    int     unique1;
    int     unique2;
    int     two;
    int     four;
    int     ten;
    int     twenty;
    int     onePercent;
    int     tenPercent;
    int     twentyPercent;
    int     fiftyPercent;
    int     unique3;
    int     evenOnePercent;
    int     oddOnePercent;
    char    stringu1[52];
    char    stringu2[52];
    char    string4[52];
} BENCHTUP;
